[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TRecordBuffer

Pointer type for record data buffer

## Declaration

Source position: db.pas line 1361

`type TRecordBuffer = PAnsiChar;`

## Description

TRecordBuffer is the type used by TDataset to point to a record's data buffer. It is used in several internal TDataset routines.

## See also

TDataset |  | Base class for records-based data-access